$inputWidth: 200px;
$inputHeight: 30px;
$outline: 0;
$borderWidth: 0 0 1px;
$padding: 1em;
$transition: all 0.30s ease-in-out;
$inputBoxShadow: 0 5px 5px -5px  rgba(81, 203, 238, 1);

    .gray {
        color: green;
    }

form {
    #name {

        span {
            padding-right: 0.3em;
            margin-top: 1em;
            
        }
        input#name {
            width: $inputWidth;
            height: $inputHeight;
            outline: $outline;
            border-width: $borderWidth;
            -webkit-transition: $transition;
            -moz-transition: $transition;
            -ms-transition: $transition;
            -o-transition: $transition;
            text-align: left;
           
        } 
        input[type=text]:focus {
            box-shadow: $inputBoxShadow;
        }
       input#lastname {
            width: $inputWidth;
            height: $inputHeight;
            outline: $outline;
            border-width: $borderWidth;
            margin-left: 1em;
            -webkit-transition: $transition;
            -moz-transition: $transition;
            -ms-transition: $transition;
            -o-transition: $transition;
        }
        input[type=text]:focus {
            box-shadow: $inputBoxShadow;
        }
    }
    #company {
         padding-top: 1em;
        span {
            padding-right: 0.3em;
            margin-top: 1em; 
        }
        input#company {
            width: $inputWidth;
            height: $inputHeight;
            outline: $outline;
            border-width: $borderWidth;
            padding: $padding;
            -webkit-transition: $transition;
            -moz-transition: $transition;
            -ms-transition: $transition;
            -o-transition: $transition;
        } 
        
       input#jobtitle {
            width: $inputWidth;
            height: $inputHeight;
            outline: $outline;
            border-width: $borderWidth;
            padding: $padding;
            margin-left: 1em;
            -webkit-transition: $transition;
            -moz-transition: $transition;
            -ms-transition: $transition;
            -o-transition: $transition;
        }
        input[type=text]:focus {
            box-shadow: $inputBoxShadow;
        }

    }
    #email {
         padding-top: 1em;
        span {
            padding-right: 0.3em;
            margin-top: 1em; 
        }
        input#email {
            width: 500px;
            height: 30px;
            outline: 0;
            border-width: $borderWidth;
            padding: 1em;
            -webkit-transition: $transition;
            -moz-transition: $transition;
            -ms-transition: $transition;
            -o-transition: $transition;
        } 
        input[type=text]:focus {
            box-shadow: $inputBoxShadow;
        }

    }
    #phonenum {
         padding-top: 1em;
        span {
            padding-right: 0.3em;
            margin-top: 1em; 
        }
        input#phone {
            width: 200px;
            height: 30px;
            outline: 0;
            border-width: $borderWidth;
            padding: 1em;
            -webkit-transition: $transition;
            -moz-transition: $transition;
            -ms-transition: $transition;
            -o-transition: $transition;
        } 
        input[type=text]:focus {
            box-shadow: $inputBoxShadow;
        }

    }
    #notes {
         padding-top: 1em;
        span {
            padding-right: 0.3em;
            margin-top: 1em; 
        }
        input#notes {
            width: 500px;
            height: 30px;
            outline: 0;
            border-width: $borderWidth;
            padding: 1em;
            -webkit-transition: $transition;
            -moz-transition: $transition;
            -ms-transition: $transition;
            -o-transition: $transition;
        } 
        input[type=text]:focus {
            box-shadow: $inputBoxShadow;
        }

    }
    button#save {
       float: right;
       margin-top: 1em; 
       margin-left: 1em;
       margin-right: 1em;
    }
    button#clear {
       float: right;
       margin-top: 1em; 
      

    }
}
.ng-valid[required], .ng-valid.required {
     border-bottom: 5px solid #42A948; 
}
.ng-invalid:not(form) {
    border-bottom: 5px solid red;

}